About Your WIN8XX.386 Driver
----------------------------
 
Features
--------
 
- Supports Advanced SCSI Programming Interface (ASPI) applications
- Supports 32-bit Disk Access in Windows 3.1 and Windows for Workgroups 3.11
  via the FastDisk interface
- Processes all I/O requests, including ASPI requests, using 32-bit
  protected-mode code for the highest possible performance
 
Description
-----------
 
WIN8XX.386 is both a Windows FastDisk driver and an ASPI Manager for Windows
which provides an interface to popular ASPI applications.  It is required
when you want to use 32-bit Disk Access in Windows.
 
WIN8XX.386 assumes control of up to two SCSI disk drives that are initially
under the control of the BIOS when Windows boots.
 
Installing Your WIN8XX.386 Driver
---------------------------------
 
1.)  Use the COPY command to copy the WIN8XX.386 driver from the
     SDMS SCSI Drivers disk to your boot disk.  For example, to
     copy the driver to your system's Windows SYSTEM directory,
     use the command shown below:
 
     copy a:\WIN8XX.386 c:\WINDOWS\SYSTEM
 
2.)  Add an entry in the [386Enh] section of your Windows SYSTEM.INI file,
     as shown below:
 
     device=WIN8XX.386
 
     In the example shown above, the driver is assumed to be in the
     Windows SYSTEM directory.  If you choose to place the driver in
     another location, simply specify the complete path along with the
     filename in the entry shown above.
 
3.)  Add an entry in the [386Enh] section of your Windows SYSTEM.INI file,
     as shown below:
 
     device=*int13
 
     This entry may or may not already be present in your SYSTEM.INI file,
     depending on the hardware that was present when you installed Windows.
     Check to make sure that it appears only once in your SYSTEM.INI file.
 
4.)  Add an entry in the [386Enh] section of your Windows SYSTEM.INI file,
     as shown below:
 
     32BitDiskAccess=off
 
     This entry may or may not already be present in your SYSTEM.INI file,
     depending on the hardware that was present when you installed Windows.
     Check to make sure that it appears only once in your SYSTEM.INI file.
 
5.)  Remove an entry from the [386Enh] section of your Windows SYSTEM.INI
     file, either by removing the line completely, or by placing a semi-
     colon in column 1 of the line, which causes it to be treated as a
     comment, as shown below:
 
     ;device=*wdctrl
 
     This entry may or may not already be present in your SYSTEM.INI file,
     depending on the hardware that was present when you installed Windows.
     This entry controls the loading of the standard FastDisk driver that
     ships with Windows for the purpose of providing 32-bit Disk Access to
     an IDE drive.  This driver is not compatible with vendor-supplied
     FastDisk drivers, such as WIN8XX.386.

6.)  Use the COPY command to copy the WIN8XX.DLL driver from the
     SDMS SCSI Drivers disk to your boot disk.  For example, to
     copy the driver to your system's Windows SYSTEM directory,
     use the command shown below:
 
     copy a:\WIN8XX.DLL c:\WINDOWS\SYSTEM\WINASPI.DLL

     NOTE: Don't miss that in the above statement the filename
           was changed. This is very important.

7.)  Add profile switches to your SYSTEM.INI file, as necessary. See
     below for a detailed description.

Profile Settings
----------------

Profile settings are the Windows equivalent of DOS's command line options.
They are entered into a particular section of your SYSTEM.INI file which
resides in your Windows directory. Edit SYSTEM.INI and add a section anywhere
(except in the middle of another section like [386Enh]) called [Win8xx].
For example, the section may look like this:

     [Win8xx]
     Synchronous=on
     Wide=off
     Disconnect=on
     SCAM=off
     ParityChecking=on
     Timeout=0<>
     Verbose=OFF

All references in the USAGE descriptions to "path" refer to the
adapter number.
Please note that this version of the driver only supports one adapter, path
must be zero.

All references in the USAGE descriptions to "id" refer to the SCSI device ID.
The below options use the following conventions:
    []  items in brackets are optional
    *   items followed by a "*" means repeat 0 or more times


* * * * * IMPORTANT * * * * * * * IMPORTANT * * * * * * * IMPORTANT *
* * * * *
*                                                                    
        *
* No spaces are allowed in specifying any of the below command line
options.  *
* Spaces should ONLY be used between different command line options. 
        *
*                                                                    
        *
* * * * * IMPORTANT * * * * * * * IMPORTANT * * * * * * * IMPORTANT *
* * * * *


Following is a description of the individual entries:

Synchronous=ON or OFF (Default = ON)
    This option allows you to turn off SCSI synchronous transfers. By default
    they are on, which is faster. However, if you are having problems
with your
    system you might want to try turning synchronous off.

Wide=ON or OFF  (Default = ON)
    This option allows you to turn off SCSI wide transfers. By default
    they are on, which is faster if you have a wide disk drive. However, 
    if you are having problems with your system you might want to try 
    turning wide off.

Disconnect=ON or OFF  (Default = ON)
    This option allows you to turn off SCSI disconnects. By default
    they are on, which is sometimes faster. However, 
    if you are having problems with your system you might want to try 
    turning disconnects off.

SCAM=ON or OFF  (Default = ON)
    This option allows you to turn off SCAM (Scsi Configured Auto-Magically).
    By default SCAM is on. If you have a SCAM capable SCSI peripheral, then
    SCAM will automatically assign SCSI device ID's to avoid conflicts.If 
    if you are having problems with your system you might want to try 
    turning SCAM off.

ParityChecking=ON or OFF  (Default = ON)
    This option allows you to turn off SCSI parity checking. By default
    it is on. Parity is a mandatory part of SCSI-2, however some old
    peripherals may not support parity. If you are having problems with your
    system you might want to try turning parity checking off. Typically
    this will only be necessary if you add a new peripheral that doesn't
    support parity. CDROM's seem to be the worst about not supporting
    parity.

Verbose=ON or OFF  (Default = OFF)
    This option allows you to turn on the verbose mode of the driver. 
    Currently all this does is display a message with the version of
    the driver each time the driver is loaded. This is also a good
    way to make sure the driver is really being loaded. Typically
    you will want to set this ON once, and then turn it off until
    you need it again so the message is not displayed each time
    the driver loads.

Fastdisk=ON or OFF  (Default = ON)
    This option allows you to turn off the FASTDISK portion of this 
    driver. The FASTDISK portion allows 32-Bit Disk Access to be done
    on a SCSI drive at C: or D:. Since Windows only allows 32-Bit
    Disk Access on one kind of drive at a time, you may want to disable
    it so you may use it on an IDE drive you may have in your system.
    This will allow the ASPI portion of the drive to still function,
    while the FASTDISK (32-Bit Disk Access) portion is disabled.

Timeout=n (Default = 0, which disables timeouts)

    Usage:
        Timeout=n<path[:id]>[,n<path[:id]>]*
        (n = timeout value in seconds for device, n=(0..65535), 0=infinite)

    WIN8XX.386 may use a timeout mechanism to detect certain errors.  When
    WIN8XX.386 issues a command to a SCSI device, a timer may be started.
    If the timer expires before the command completes, WIN8XX.386 assumes
    that something has gone wrong with the device, and takes steps to recover.
    The default value for this is 0, which means timeouts are disabled by
    default. It is recommended that timeout values of at least 10 minutes 
    (600 seconds) be used for SCSI tape devices, since they have many commands
    which take much longer to complete.  Symdisk.sys and Symcd.sys may also 
    use timeouts of their own (typically 10 to 30 seconds).  A timeout value 
    of up to 65535 seconds (over 18.2 hours) may be used.

    For example, if you have a particularly slow device on adapter 0 (HA=0),
    and ID=3 that you wish to extend the timeout on this device to 60 seconds,
    then the line in SYSTEM.INI would look like this:

    [Win8xx]
    Timeout=60<0:3>

    As another example, if you have a tape drive on adapter 0 (HA=0) and ID=3
    that you wish to set the timeout on this device to 600 seconds, and if
    you have a scanner on adapter 0 (HA=0) and ID=2 that you wish to set the
    timeout on this device to 30 minutes (1800 seconds), then the line in
    SYSTEM.INI would look like this:

    Timeout=1800<0:2>,60<0:3>




Enabling 32-bit Disk and File Access in Windows
-----------------------------------------------
 
Only Windows for Workgroups 3.11 offers both 32-bit Disk and File access.
To enable these features, make sure your system is backed up, and then
do the following:
 
1.)  Select the Control Panel applet in the Main program group.
2.)  Select the 386 Enhanced icon.
3.)  Select the Virtual Memory settings.
4.)  Select the Change button.
5.)  Check the two boxes at the bottom of the screen to enable
     32-Bit Disk Access and 32-Bit File Access.
6.)  Click OK.
7.)  Click Restart Computer.
 


Restrictions
------------
This version of the driver has the following restrictions:

    a) Device timeouts do not fully work. They should be disabled
       until the next version.
    b) This version only supports one host adapter.
    c) The NVRAM settings in the Configuration Utility for the 
       SDMS 4.0 Bootrom can not be changed at this time. Some
       may work, but others are not supported by this driver yet.

Troubleshooting
---------------
 
- System locks up at Windows boot time.
 
  a.)  Make sure no other ASPI Manager is loaded.  This includes any 8XX
       ASPI Managers or other MS-DOS device drivers that access the 8XX
       hardware that may be loaded in your MS-DOS CONFIG.SYS file.
 
  b.)  Make sure that no more than two SCSI disk drives are connected to
       your SCSI bus and powered up at one time.  If booting from an IDE
       drive, make sure that no more than one SCSI disk drive is connected
       and powered up.
 
  c.)  Re-boot the system.
 
- Windows displays the following message while booting:
 
  The Microsoft Windows 32-bit disk driver (WDCTRL) cannot be loaded.
  There is unrecognizable disk software installed on this computer.
 
  a.)  Make sure that the line controlling WDCTRL in your SYSTEM.INI is
       either removed or commented out, as shown in the installation
       instructions above.
 
  b.)  Re-boot the system.
 
- The driver does not recognize one of the non-boot SCSI peripherals
  (system may lock up).
 
  a.)  Make sure the driver was installed properly according to the
       installation instructions given above.
 
  b.)  Power down all devices in the system.
 
  c.)  Make sure all SCSI devices have unique ID numbers.
 
  d.)  Make sure the SCSI bus is properly terminated.
 
  e.)  Check all cable and power connections.
 
  f.)  Boot the system.
 
- Windows hangs when exiting.
    
    a) Make sure you are using version ASPI8XX-4.01.01 or later of
       ASPI8XX.SYS.

- A message saying ASPI8XX.SYS is not loaded is displayed.

    a) Load ASPI8XX.SYS in your CONFIG.SYS.

- The following message is displayed when you try to enter the Virtual Memory
settings in the 386 Enhanced section of the control panel:
    
    32-bit File Access was unable to run. This may be because you started
    the netwrok before starting Windows, because Windows could not find
    the IFSHLP.SYS driver, or your hard disk(s) may be incompatible with
    32-bit File Access.

    a) Make sure that IFSHLP.SYS is being loaded in your CONFIG.SYS. It was
       supposed to be placed there when Windows For Workgroups 3.11 was 
       installed, but we have noticed sometimes it's not.

- A Windows ASPI application such as Colorado Backup for Windows says that
it can't find an ASPI manager.

    a) Colorado Backup for Windows, and possibly other programs, leave a
       copy of WINASPI.DLL for another vendor's host adapter in the
       directory in which it is installed. When WINASPI.DLL is looked for,
       it is found in that directory before looking in your Windows
       system directory. To fix the problem, delete or rename WINASPI.DLL
       in the Colorado Backup For Windows directory.






